Subject: using gdb
From: [email-masked] (Kevin Hughes)

9 Feb 1998 03:10:07 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
To: "Gnuwin95 (E-mail)" <[email-masked]>

I am trying to debug using gdb a rather large program compiled using the egcs1.0 compiler supplied by
Mumit Khan.

The problem I have is trying to plant a stop in the failing(?) routine. I have tried b function_name but get
back  

	cannot access memory at .......

I have tried to use the windows i/f but get the following problems

	gdb: unknown target exception 0xc000001d at 0x005100dc

Program received signal ?, Unknown signal.

I have also tried the non windows i/f and get similar fails. 
I have tried stepping into the fail but get

[tcsetpgrp failed in terminal_inferior: error 0]

This does not necessarily stop the session BUT I appear to fail on the step - it just runs on.

Any suggestions?

Kevin

PS this code works perfectly on a solaris system

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".